#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB8,0xD1,0x55,0xC9,0xE4,0xC1,0x26,0xCA,0x46,0x9F,0xB1,0xF3,
		0x97,0xD8,0x4C,0xA3,0x84,0xE5,0x03,0xE0,0x57,0xB6,0xE7,0x17,
		0x8F,0x46,0xB8,0x66,0x7C,0x67,0x38,0x9F,0xDE,0xAF,0x23,0xBF,
		0xD2,0xC3,0x20,0xA0,0xBB,0x72,0x0B,0x45,0x9D,0x05,0x49,0x5E,
		0xF0,0x1E,0x30,0xF3,0xAB,0xDC,0xE0,0xAF,0xD4,0x84,0x73,0x44,
		0xF1,0xD2,0x3A,0x3B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
